Subject: Re: bug#5345: Password asked when visiting a file in a lightweight checkout

From: Lennart Borgman <[email-masked]>
Date: Sun, 10 Jan 2010 21:35:41 +0100

On Sun, Jan 10, 2010 at 9:21 PM, Juanma Barranquero <[email-masked]> wrote:
> On Sun, Jan 10, 2010 at 21:10, Lennart Borgman
> <[email-masked]> wrote:
>
>> Hm. Are you sure?
>
> No. Are you sure that he did?

Ehum. Yes. But it does not matter.

>> I think the RFC assumes that the leading "/" is not part of the
>> directory name, so file://<host>/<path> with <host> = localhost and
>> <path> = /etc/fstab (etc/fstab relative to /)
>
> I certainly read that as written: the leading / is not part of the filename.
>
>>> He said that he thinks that
>>> the RFC assumes that the path does not start with a slash.
>>
>> Yes.
>
> Then, what are we discussing?
>
>> Please explain. How do you get file:/// on w32?
>
> Using the same interpretation (though I'm not sure I agree with it):
> the absolute filename does not start with a slash. Surely you don't
> want to remove C from C:/my/path?
>
> BTW, please take a look at
> http://en.wikipedia.org/wiki/File_URI_scheme  (even if you don't trust
> the Wikipedia, the entry is quite informative).

Ah, I see what you mean. I still suspect Reiners interpretation is the
same as the one the confused specs, but it does not work on w32 (as
you also said).